package com.qihoo360.mobilesafe.reward

import android.text.TextUtils
import com.qihoo360.mobilesafe.extension.tryCatch
import com.qihoo360.mobilesafe.support.log.Logger
import org.json.JSONObject
import java.util.HashMap

class RewardConfigHelper {
    companion object {
        private val mFilterUrls = HashMap<String, String>()
        private const val  TAG = "RewardConfigHelper"
        fun reloadConfig(jsonObject: JSONObject?){
            tryCatch({
                Logger.d(TAG,it.message)
                Logger.handleException(it)
            }){
                jsonObject?.apply {
                    Logger.d(TAG,jsonObject.toString())
                    val mJArrayFilterUrls = jsonObject.optJSONArray("filter_urls")
                    if (mJArrayFilterUrls != null && mJArrayFilterUrls.length() > 0) {
                        for (i in 0 until mJArrayFilterUrls.length()) {
                            val jsonObject = mJArrayFilterUrls!!.optJSONObject(i)
                            if (jsonObject != null) {
                                val url = jsonObject.optString("filter_url")
                                val type = jsonObject.optString("type")
                                if (!TextUtils.isEmpty(url) && !TextUtils.isEmpty(type)) {
                                    Logger.d(TAG,"type=$type and url = $url")
                                    mFilterUrls[url] = type
                                }
                            }
                        }
                    }
                }?:run {
                    Logger.d(TAG,"jsonObject empty")
                }
            }
        }

        fun getUrlTypes() :HashMap<String,String>{
             return mFilterUrls
        }
    }
}