package com.qihoo360.mobilesafe.reward.container.mv

import android.content.Context
import android.graphics.Color
import android.util.AttributeSet
import android.view.View
import com.nostra13.universalimageloader.core.ImageLoader
import com.qihoo360.apullsdk.apull.protocol.model.ApullTemplateBase
import com.qihoo360.apullsdk.apull.protocol.model.impl.TemplateApullMv
import com.qihoo360.apullsdk.apull.view.impl.ContainerApullMvBase
import com.qihoo360.apullsdk.support.imageconfig.ImageDownloaderConfig
import com.qihoo360.apullsdk.utils.BitmapUtil
import com.qihoo360.apullsdk.utils.DensityUtil
import com.qihoo360.apullsdk.videoad.view.AdOperationListener
import com.qihoo360.mobilesafe.extension.setVisible
import com.qihoo360.mobilesafe.extension.tryCatch
import com.qihoo360.mobilesafe.reward.R
import kotlinx.android.synthetic.main.apullsdk_container_apull_mv_532.view.*

class ContainerApullMv532 : ContainerApullMvBase {

    constructor(context: Context, template: ApullTemplateBase?, listener: AdOperationListener) : super(context, template, listener)

    constructor(context: Context, template: ApullTemplateBase?) : super(context, template)

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle)


    override fun onThemeChanged() {
        updateImage()
    }

    override fun updateDownloadStatus() {
    }

    override fun initView(template: ApullTemplateBase?) {
        View.inflate(context, R.layout.apullsdk_container_apull_mv_532, this)

    }

    override fun updateView(template: ApullTemplateBase?) {
        if ((template is TemplateApullMv) && template != mTemplateApullMv) {
            mTemplateApullMv = template
            setVisible(true)
            mTemplateApullMv?.mv_list?.let {
                apullMvItem = mTemplateApullMv.mv_list[0]
                updateAppearance()
                updateImage()
                updateText()
                addClickListener()
            }
        }
    }

    private fun updateAppearance() {
        var drawable = BitmapUtil.createSolidDrawable(context, DensityUtil.dip2px(context, 5.0f), 0,
                Color.parseColor("#ffffff"), false)
        mRoot532.setBackgroundDrawable(drawable)
        mRoot532.isClickable = true
        drawable = BitmapUtil.createSolidDrawable(context, DensityUtil.dip2px(context, 5.0f), Color.parseColor("#f64143"),
                Color.parseColor("#00000000"), false, 1.0f)
        mRewardBtn532.setBackgroundDrawable(drawable)


        drawable = BitmapUtil.createSolidDrawable(context, DensityUtil.dip2px(context, 3.0f), 0,
                Color.parseColor("#1a000000"), false)
        mAdTip532.setBackgroundDrawable(drawable)

    }

    private fun updateText() {
        if (apullMvItem?.adm_type == 3) {
            mShortDesc532?.text = apullMvItem?.adm?._native?.desc
        }
    }

    private fun updateImage() {
        tryCatch {
            mLargeImage532?.apply {
                var width = mLargeImage532?.layoutParams?.width?:0
                var height = mLargeImage532?.layoutParams?.height?:0
                ImageLoader.getInstance().displayImage(apullMvItem?.imageUrl, this,
                        ImageDownloaderConfig.getDefaultCircle2CornerFitXYIconOptions(context, DensityUtil.px2dip(context, width.toFloat()),
                                DensityUtil.px2dip(context, height.toFloat()), 5))
            }
        }

    }

    private fun addClickListener() {
        mRoot532.setOnClickListener {
            when(apullMvItem?.interaction_type){
                2->{
                    handleAdjumpClick()
                }
                3->{
                    handleAppDetailClick()
                }
            }
        }
    }

    override fun onImageEnableChange(enable: Boolean) {
        updateImage()
    }

    override fun getTemplate(): ApullTemplateBase {
        return mTemplateApullMv
    }


}