package com.qihoo360.mobilesafe.reward.ui.page

import android.text.TextUtils
import android.view.View
import android.view.ViewGroup
import com.qihoo360.apullsdk.utils.DensityUtil
import com.qihoo360.mobilesafe.reward.R
import com.qihoo360.mobilesafe.reward.RewardConstant.Companion.PAGE_REWARD_SCENE
import com.qihoo360.mobilesafe.reward.RewardConstant.Companion.PAGE_REWARD_THEME_SUBSCENE
import com.qihoo360.mobilesafe.support.log.Logger
import kotlinx.android.synthetic.main.page_raffle_hongbao_change.*

class RaffleThemeActivity : RaffleActivity(){
    private val TAG = "RaffleHourActivity"

    override fun initDefaultData() {
        mFromIntentData.apply {
            if(mScene == 0){
                mScene = PAGE_REWARD_SCENE
            }

            if(mSubScene == 0){
                mSubScene = PAGE_REWARD_THEME_SUBSCENE
            }

            if (TextUtils.isEmpty(mTitle)) {
                mTitle = getString(R.string.hongbao_title)
            }
            if (TextUtils.isEmpty(mUrl)) {
                mUrl = "https://pop.shouji.360.cn/fe/sjws/redpacket/down_cash_s.html"
            }
            if (TextUtils.isEmpty(mPool)) {
                mPool = "game"
            }
            if (TextUtils.isEmpty(mPromotionId)) {
                mPromotionId = "1"
            }
            if (TextUtils.isEmpty(mBackground)) {
                mBackground = "#dc2719"
            }
            if (TextUtils.isEmpty(mWxImgUrl)) {
                mWxImgUrl = "http://p0.qhimg.com/d/inn/106b6c8b/puq.png"
            }
            if (TextUtils.isEmpty(mWbImgUrl)) {
                mWbImgUrl = "http://p9.qhimg.com/d/inn/2a27ed0b/br.png"
            }
            if (TextUtils.isEmpty(mShareTitle)) {
                mShareTitle = getString(R.string.share_title_key)
            }
            if (TextUtils.isEmpty(mShareDesc)) {
                mShareDesc = getString(R.string.share_desc_key)
            }
            Logger.d(TAG,"mScene = $mScene,mSubScene = $mSubScene,mTitle=$mTitle,mUrl=$mUrl," +
                    "mUrl=$mUrl,mPromotionId=$mPromotionId,mBackground=$mBackground,mWxImgUrl=$mWxImgUrl," +
                    "mWbImgUrl = $mWbImgUrl,mShareTitle=$mShareTitle,mShareDesc=$mShareDesc")
        }
    }

    override fun addRewardView(mRewardView: View) {
        super.addRewardView(mRewardView)
        val params = mAppListLayout?.layoutParams as? ViewGroup.MarginLayoutParams
        params?.bottomMargin = params?.bottomMargin!! - DensityUtil.dip2px(this, 50.0f)
    }

}